.footer {
    height: 600px;
    overflow: hidden;
    z-index: 0;
}

.nav-item {
    &:hover {
        & span {
            @apply text-ferrari-yellow;
        }
        & .nav-item-index {
            transform: rotate(0deg) translateY(-5px);
        }
    }
    &-index {
        font-size: 3rem;
        line-height: 0;
        letter-spacing: 0.2rem;
        font-weight: 100;
        display: inline-block;
        color: hsla(0, 0%, 100%, 0.2);
        transform: rotate(-90deg) translateX(.5rem);
        vertical-align: middle;
        transition: all 150ms ease;
        transition: transform 550ms ease;
        padding: 5px;
    }
    &-text {
        transition: all 550ms ease;
    }
}

.flag {
    background-image: linear-gradient(to right, #008c45, #cd212a);
    transform: skewX(-35deg);

    &-green {
        @apply bg-ferrari-green;

    }
    &-white {
        @apply bg-ferrari-white;
    }
    &-red {
        @apply bg-ferrari-red;
    }
}

.auth {
    transform: skewX(35deg);
    & span {}
}

.ferrari {
    font-family: 'ferrari';
}
